---
lang: en
title: 'API docs: service-proxy.applicationwithservices'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.applicationwithservices.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [ApplicationWithServices](./service-proxy.applicationwithservices.md)

## ApplicationWithServices interface

Interface for an Application mixed in with ServiceMixin

<b>Signature:</b>

```typescript
export interface ApplicationWithServices extends Application 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [component(component, name)](./service-proxy.applicationwithservices.component.md) |  |
|  [mountComponentServices(component)](./service-proxy.applicationwithservices.mountcomponentservices.md) |  |
|  [serviceProvider(provider, name)](./service-proxy.applicationwithservices.serviceprovider.md) |  |


